Subject: Re: RFC: indicating diff strategy in format-patch message headers

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Jun 2024 11:22:08 -0700

Konstantin Ryabitsev <[email-masked]> writes:

> Would it make sense to have git-format-patch (and friends) include an
> additional header hinting at the options used to generate the patch? E.g.:
>
>     X-git-diff-options: algo=myers; context=3;

I doubt it.  And newer version of Git _will_ try to improve how
patch text appears to be more useful to human users, so you have
more moving parts than you'd want to even think about enumerating.

If you were to add a new e-mail header, wouldn't it make more sense
to add a patch-id header and agree on the set of options to be used
to generate that patch-id (which might be different from the setting
used to format the real patch for human and "git am" consumption)?